## SoupSessionAsync SoupSessionAsync — (Deprecated) SoupSession for asynchronous (main-loop-based) I/O. |

## Functions

SoupSession * | soup_session_async_new ()
SoupSession * | soup_session_async_new_with_options ()

## Types and Values

| SoupSessionAsync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionAsync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionAsync is an implementation of SoupSession that uses non-blocking I/O via the glib main loop for all I/O.

As of libsoup 2.42, this is deprecated in favor of the plain SoupSession class (which uses both asynchronous and synchronous I/O, depending on the API used). See the porting guide.

## Functions

### soup_session_async_new ()

    SoupSession *
    soup_session_async_new (void);

`soup_session_async_new` is deprecated and should not be used in newly-written code.

SoupSessionAsync is deprecated; use a plain SoupSession, created with `soup_session_new()`. See the porting guide.

Creates an asynchronous SoupSession with the default options.

#### Returns

the new session.

### soup_session_async_new_with_options ()

    SoupSession *
    soup_session_async_new_with_options (const char *optname1,
                                         ...);

`soup_session_async_new_with_options` is deprecated and should not be used in newly-written code.

SoupSessionAsync is deprecated; use a plain SoupSession, created with `soup_session_new_with_options()`. See the

porting guide.

Creates an asynchronous SoupSession with the specified options.

#### Parameters

optname1 | name of first property to set |
... | value of `optname1` , followed by additional property/value pairs |

#### Returns

the new session.

## Types and Values

### SoupSessionAsync

    typedef struct _SoupSessionAsync SoupSessionAsync;